Bug 349121 - MySQL client will display empty strings as NULL (fixed in 5.0.23)
MySQL client will display empty strings as NULL (fixed in 5.0.23)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 13:43 EDT by Larry Low
Modified: 2013-07-02 23:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2008-0364
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:23:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Low 2007-10-23 13:43:46 EDT
Description of problem:
The mysql client will display empty string values as NULL.  This is fixed in 5.0.23

Version-Release number of selected component (if applicable):
5.0.22

How reproducible:
100%

Steps to Reproduce:
1. insert empty string into a table
2. select * from table and see NULL displayed
3. select * from table matching on empty string and see entry returned
4. select * from table matching on NULL and see entry not returned
  
Additional info:
MYSQL Bug 19564 http://bugs.mysql.com/bug.php?id=19564
MYSQL Bug 20067 http://bugs.mysql.com/bug.php?id=20067
Comment 2 RHEL Product and Program Management 2007-10-23 17:24:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jay Turner 2007-11-30 02:05:07 EST
QE ack for RHEL5.2.  Steps to reproduce in comment 0.
Comment 7 errata-xmlrpc 2008-05-21 11:23:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0364.html

Note You need to log in before you can comment on or make changes to this bug.